﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Violet.ComponentModel;
using System.Threading;
using WelcomeScreenDemo.ViewModel;

namespace WelcomeScreenDemo.View.Default
{
    public class InitializationBackgroundWorker : SimpleBackgroundWorker
    {
        protected override void process()
        {
            base.process();
            ViewModelLocator.MainStatic.Process = "正在进行第一阶段初始化";
            Thread.Sleep(1000);
            ViewModelLocator.MainStatic.Process = "正在进行第二阶段初始化";
            Thread.Sleep(1000);
        }

        protected override void complete()
        {
            base.complete();
        }
    }
}
