﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WelcomeScreenDemo.View.Default;

namespace WelcomeScreenDemo
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
        }
        private void start()
        {
            MainView main = new MainView();
            main.Show();
            welcome.Close();
        }
        InitializationBackgroundWorker worker;
        WelcomeView welcome;
        private void btn_start_Click(object sender, RoutedEventArgs e)
        {
            
            worker = new InitializationBackgroundWorker();
            worker.start();
            worker.WorkCompletedEvent += new InitializationBackgroundWorker.WorkCompletedHandler(start);
            welcome = new WelcomeView();
            welcome.Closed += new EventHandler(welcome_Closed);
            welcome.Show();
            this.Close();
        }

        void welcome_Closed(object sender, EventArgs e)
        {
            worker.Dispose();
        }
    }
}
